<?php

class m120130_120941_tbl_candidatos_capacidades extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos_capacidades', array(
                'id' => 'pk',
                'candidato_id' => 'integer NOT NULL',
                'perfil_tecnico_id' => 'integer NOT NULL',
                'meses_perfil_tecnico' => 'integer',
                'perfil_funcional_id' => 'integer NOT NULL',
                'meses_perfil_funcional' => 'integer',
                'observaciones' => 'text',
            ));

            $this->addForeignKey('fk_candidatos_capacidades_1', 'tbl_candidatos_capacidades', 'candidato_id', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('fk_candidatos_capacidades_2', 'tbl_candidatos_capacidades', 'perfil_tecnico_id', 'tbl_perfiles_tecnicos', 'id', 'CASCADE', 'RESTRICT');
            $this->addForeignKey('fk_candidatos_capacidades_3', 'tbl_candidatos_capacidades', 'perfil_funcional_id', 'tbl_perfiles_funcionales', 'id', 'CASCADE', 'RESTRICT');
            
            
            $this->createTable('tbl_candidatos_capacidades_tecnologias', array(
                'id' => 'pk',
                'capacidad_id' => 'integer NOT NULL',
                'tecnologia_id' => 'integer NOT NULL',
                'meses_tecnologia' => 'integer',
            ));
            
            $this->addForeignKey('tbl_candidatos_capacidades_tecnologias_1', 'tbl_candidatos_capacidades_tecnologias', 'capacidad_id', 'tbl_candidatos_capacidades', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('tbl_candidatos_capacidades_tecnologias_2', 'tbl_candidatos_capacidades_tecnologias', 'tecnologia_id', 'tbl_tecnologias', 'id', 'CASCADE', 'RESTRICT');
            
	}

	public function down()
	{
            
            $this->dropForeignKey('tbl_candidatos_capacidades_tecnologias_2', 'tbl_candidatos_capacidades_tecnologias');
            $this->dropForeignKey('tbl_candidatos_capacidades_tecnologias_1', 'tbl_candidatos_capacidades_tecnologias');            
            $this->dropTable('tbl_candidatos_capacidades_tecnologias');
            
            $this->dropForeignKey('fk_candidatos_capacidades_3', 'tbl_candidatos_capacidades');
            $this->dropForeignKey('fk_candidatos_capacidades_2', 'tbl_candidatos_capacidades');
            $this->dropForeignKey('fk_candidatos_capacidades_1', 'tbl_candidatos_capacidades');
            $this->dropTable('tbl_candidatos_capacidades');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}
